#
# spec file for package read-edid
#


Name:           read-edid
Version:        3.0.2
Release:        1.1
License:        BSD-3-Clause
Summary:        Tool for reading EDID information
Url:            http://polypux.org/projects/read-edid/
Group:          System/X11/Utilities
Source0:        http://polypux.org/projects/read-edid/read-edid-3.0.2.tar.gz
Patch0:         read-edid-fix-cmakelists.patch
Patch1:         read-edid-code-cleanup.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libx86-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A pair of tools (originally by John Fremlin) for reading the EDID from a monitor.
It should work with most monitors made since 1996 (except for newer ones with
256-byte EDID's - WiP), assuming the video card supports the standard read commands
(most do).

- get-edid, which gets the raw edid information from the monitor.
- parse-edid, which turns the raw binary information into an
  XF86Config-compatible monitor section.

%prep
%setup -q
%patch0 -p1

%build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr .
make

%install
%makeinstall

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README
%{_bindir}/get-edid
%{_bindir}/parse-edid
%{_mandir}/man1/get-edid.1%{?ext_man}

%changelog
